Page MenuHomePhabricator

[CONFIG] call elm_rescale() only when scale value is changed
ClosedPublic

Authored by joi.choi on Jul 25 2016, 2:49 AM.

Details

Summary

it doesn't need to call elm_rescale() in _config_flush_get() when the scale value is not changed.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
joi.choi updated this revision to Diff 9635.Jul 25 2016, 2:49 AM
joi.choi retitled this revision from to [CONFIG] call elm_rescale() only when scale value is changed.
joi.choi updated this object.
joi.choi edited the test plan for this revision. (Show Details)
joi.choi added a reviewer: jaehwan.
cedric requested changes to this revision.Jul 25 2016, 11:28 AM
cedric edited edge metadata.

There is a lot of rescale being called on other configuration change, are you sure no other call to rescale is triggered ? Wouldn't it be better to have rescale remember the last value it did apply and check internally ?

This revision now requires changes to proceed.Jul 25 2016, 11:28 AM
minkyu added a subscriber: minkyu.Jul 27 2016, 5:35 PM
raster accepted this revision.Jul 28 2016, 7:35 PM
raster edited edge metadata.

this looks fine to me. it simply doesnt ask things to go rescaling unless cale actually changed. more efficient. at least this is one path.

raster requested changes to this revision.Jul 28 2016, 7:38 PM
raster edited edge metadata.

hmm oh wait.. this is against the old elm tree. we dont use that anymore... we merged into the efl tree months ago already. i'll port it for you and keep your name...

raster accepted this revision.Jul 28 2016, 7:52 PM
raster edited edge metadata.
This revision was automatically updated to reflect the committed changes.